Bug 160824 - [PATCH] net/rabbitmq-c-devel: Upgrade to changeset cbeb2f3c3e6d
Summary: [PATCH] net/rabbitmq-c-devel: Upgrade to changeset cbeb2f3c3e6d
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-19 11:10 UTC by Jui-Nan Lin
Modified: 2011-11-17 20:20 UTC (History)
1 user (show)

See Also:


Attachments
rabbitmq-c-devel-0.0.1_2.patch (4.90 KB, patch)
2011-09-19 11:10 UTC, Jui-Nan Lin
no flags Details | Diff
patch-net_rabbitmq-c-devel.diff (6.35 KB, patch)
2011-11-17 15:58 UTC, rabbitmq
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jui-Nan Lin 2011-09-19 11:10:10 UTC
[DESCRIBE CHANGES]

Removed file(s):
- files/patch-configure.ac
- files/patch-tools_common.c

Port maintainer (rabbitmq@geoffgarside.co.uk) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-09-19 11:10:20 UTC
Maintainer of net/rabbitmq-c-devel,

Please note that PR ports/160824 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/160824

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-09-19 11:10:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 rabbitmq 2011-09-19 23:21:18 UTC
On 19 Sep 2011, at 11:10, Edwin Groothuis wrote:

> Maintainer of net/rabbitmq-c-devel,
>=20
> Please note that PR ports/160824 has just been submitted.
>=20
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>=20
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/160824
>=20
> --=20
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

Looks alright to me, if a committer would like to put this through =
that'd be great.

Geoff=
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-09-20 00:45:50 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Pawel Pekala freebsd_committer 2011-11-02 17:42:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 6 Pawel Pekala freebsd_committer 2011-11-02 22:13:33 UTC
State Changed
From-To: open->feedback

Build fails on 7.4-RELEASE when WITH_POPT=true, please see log: 
http://people.freebsd.org/~pawel/buildlogs/7/rabbitmq-c-devel-0.0.1_2.log
Comment 7 rabbitmq 2011-11-17 15:58:26 UTC
I've fixed the issue with 7.4 and it now builds properly both with and without POPT from ports.

The issue was related to the removed patch files, these have been re-introduced and updated. The patch-configure.ac has been updated to apply cleanly and the patch-tools_common.c has been moved to patch-tools_unix_process.c as the pipeline function has been moved from tools/common.c to tools/unix/process.c.

--
Geoff
Comment 8 dfilter service freebsd_committer 2011-11-17 20:12:38 UTC
pawel       2011-11-17 20:12:28 UTC

  FreeBSD ports repository

  Modified files:
    net/rabbitmq-c-devel Makefile distinfo pkg-plist 
    net/rabbitmq-c-devel/files patch-configure.ac 
  Added files:
    net/rabbitmq-c-devel/files patch-tools_unix_process.c 
  Removed files:
    net/rabbitmq-c-devel/files patch-tools_common.c 
  Log:
  Update to changeset cbeb2f3c3e6d
  
  PR:             ports/160824
  Submitted by:   Jui-Nan Lin <jnlin@csie.nctu.edu.tw>
  Approved by:    maintainer (with his improvements)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.7       +5 -5      ports/net/rabbitmq-c-devel/Makefile
  1.3       +4 -4      ports/net/rabbitmq-c-devel/distinfo
  1.2       +6 -7      ports/net/rabbitmq-c-devel/files/patch-configure.ac
  1.2       +0 -57     ports/net/rabbitmq-c-devel/files/patch-tools_common.c (dead)
  1.1       +57 -0     ports/net/rabbitmq-c-devel/files/patch-tools_unix_process.c (new)
  1.2       +2 -8      ports/net/rabbitmq-c-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Pawel Pekala freebsd_committer 2011-11-17 20:13:03 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!